package body MSHTML.IHTMLStyleSheet_Object is

   procedure Put_title
     (This : IHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyleSheet_Put_title,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_title;

   function Get_title
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_title);
   end Get_title;

   function Get_parentStyleSheet
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_parentStyleSheet);
   end Get_parentStyleSheet;

   function Get_owningElement
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_owningElement);
   end Get_owningElement;

   procedure Put_disabled
     (This : IHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyleSheet_Put_disabled,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_disabled;

   function Get_disabled
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_disabled);
   end Get_disabled;

   function Get_readOnly
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_readOnly);
   end Get_readOnly;

   function Get_imports
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_imports);
   end Get_imports;

   procedure Put_href
     (This : IHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyleSheet_Put_href,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_href;

   function Get_href
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_href);
   end Get_href;

   function Get_type
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_type);
   end Get_type;

   function Get_id
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_id);
   end Get_id;

   function addImport
     (This    : IHTMLStyleSheet_Type;
      bstrURL : GNATCOM.Types.VARIANT;
      lIndex  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLStyleSheet_addImport,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lIndex,
          2 => bstrURL),
         Free);
   end addImport;

   function addRule
     (This         : IHTMLStyleSheet_Type;
      bstrSelector : GNATCOM.Types.VARIANT;
      bstrStyle    : GNATCOM.Types.VARIANT;
      lIndex       : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLStyleSheet_addRule,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lIndex,
          2 => bstrStyle,
          3 => bstrSelector),
         Free);
   end addRule;

   procedure removeImport
     (This   : IHTMLStyleSheet_Type;
      lIndex : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLStyleSheet_removeImport,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lIndex),
         Free);
   end removeImport;

   procedure removeRule
     (This   : IHTMLStyleSheet_Type;
      lIndex : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
   is
   begin
      Invoke
        (This,
         IHTMLStyleSheet_removeRule,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => lIndex),
         Free);
   end removeRule;

   procedure Put_media
     (This : IHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyleSheet_Put_media,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_media;

   function Get_media
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_media);
   end Get_media;

   procedure Put_cssText
     (This : IHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLStyleSheet_Put_cssText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cssText;

   function Get_cssText
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_cssText);
   end Get_cssText;

   function Get_rules
     (This : IHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLStyleSheet_Get_rules);
   end Get_rules;

end MSHTML.IHTMLStyleSheet_Object;

